# gmtlogo

Plot the GMT logo

## Synopsis

gmtlogo [ -D[g|j|J|n|x]refpoint[+h height|+w width][+j justify][+o dx[/dy]] ] [ -F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]] ] [ -J parameters ] [ -K ] [ -O ] [ -P ] [ -R west/east/south/north[/zmin/zmax][+r][+u unit] ] [ -S[l|n|u] ] [ -U[stamp] ] [ -V[level] ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -t transp ] [ --PAR=value ]

## Description

This module plots the GMT logo on a map. By default, the GMT logo is 144 points (2 inches wide) and 72 points (1 inch) high and will be positioned relative to the current plot origin. Use various options to change this and to place a transparent or opaque rectangular map panel behind the GMT logo.

Standard presentation of the GMT logo.

## Required Arguments

None.

## Optional Arguments

-D[g|j|J|n|x]refpoint[+h height|+w width][+j justify][+o dx[/dy]]

> Sets reference point on the map for the image using one of four coordinate systems:

> - g - Set refpoint in map (user) coordinates.

> - j - Set refpoint via a 2-char justification code that refers to the (invisible) map domain rectangle (see text). The logo is justified to fit on the inside of the map domain rectangle.

> - J - Same as j, but instead justifies the logo on the outside of the map domain rectangle.

> - n - Set refpoint using normalized (0-1) coordinates.

> - x - Set refpoint using plot coordinates (inches, cm, etc.).

> All but -Dx requires both -R and -J to be specified. Modifiers control size and adjustments:

> - +w - Append width to set the width of the GMT logo in plot coordinates (inches, cm, etc.).

> - +h - Append height to instead specify the logo height.

> - +j - By default, the anchor point on the GMT logo is assumed to be the bottom left corner (BL), but this can be changed by appending the 2-char justification code justify (see text).

> - +o - Offset the GMT logo by dx/dy away from the refpoint point in the direction implied by justify (or the direction implied by -Dj or -DJ).

> Note: (1) If -Dj is used then justify defaults to the same as refpoint, while if -DJ is used then justify defaults to the mirror opposite of refpoint. (2) Since the aspect ratio is fixed, only one of +h and +w can be specified.

-F[+c clearances][+g fill][+i[[gap/]pen]][+p[pen]][+r[radius]][+s[[dx/dy/][shade]]]

> Without further options, draws a rectangular border around the GMT logo using MAP_FRAME_PEN. The following modifiers can be appended to -F, with additional explanation and examples provided in the The background panel cookbook section:

> - +c - Set clearance where clearance is either gap, xgap/ygap, or lgap/rgap/bgap/tgap and gap gives a uniform clearance, xgap/ygap gives separate clearances in the x- and y- directions, and lgap/rgap/bgap/tgap gives individual clearances between the map embellishment and the border for each side.

> - +g - Give fill to fill the box with a color specified by fill [default is no fill].

> - +i - Draw a secondary, inner border border outline [[gap/]pen]. Optionally, append the gap between the inner and outer border and the pen for the inner border [default is a uniform gap between borders of 2p and the MAP_DEFAULT_PEN].

> - +p - append pen to specify different pen attributes for the box outline.

> - +r - Draw a rounded rectangular borders instead of sharp with a corner radius set by radius (append units) [defaults is 6p].

> - +s - Place an offset background shaded region behind the box. Here, dx/dy indicates the shift relative to the foreground frame [default is 4p/-4p] and shade sets the fill style to use for shading [default is gray50].

-J parameters

  Specify the projection. (See full description) (See cookbook summary) (See projections table).

-R xmin/xmax/ymin/ymax[+r][+u unit]

  Specify the region of interest. (See full description) (See cookbook information).

> For perspective view -p, optionally append /zmin/zmax. (more …)

-S[l|n|u]

  Control what is written beneath the map portion of the logo. Append l (or skip -S entirely) to plot the text label “The Generic Mapping Tools” beneath the logo. Append n to skip the label placement, and append u to place the URL to the GMT site instead [plot the label].

-U[label|+c][+j justify][+o dx[/dy]][+t text]

  Draw GMT time stamp logo on plot. (See full description) (See cookbook information).

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-X[a|c|f|r][xshift]

  Shift plot origin. (See full description) (See cookbook information).

-Y[a|c|f|r][yshift]

  Shift plot origin. (See full description) (See cookbook information).

-t transp[/transp2] (more …)

  Set transparency level(s) in percent.

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Classic Mode Arguments

These options are used to manipulate the building of layered GMT PostScript plots in classic mode. They are not available when using GMT modern mode.

-K (more …)

  Do not finalize the PostScript plot.

-O (more …)

  Append to existing PostScript plot.

-P (more …)

  Select “Portrait” plot orientation.

## Examples

To plot the GMT logo of a 144-point width as a stand-alone plot, use:

    gmt logo -P > logo.ps

To append a GMT logo overlay in the upper right corner of the current map, but scaled up to be 6 cm wide and offset by 0.25 cm from the border, try:

    gmt logo -O -K -R -J -DjTR+o0.25c+w6c >> bigmap.ps

## Notes

To instead plot the GMT QR code that links to https://www.generic-mapping-tools.org/, just plot the custom symbols QR or QR_transparent in psxy.

## See Also

gmt, pslegend, psimage, psscale, psxy